Subject: bug#4096: 23.1.50; forward-char sometimes steps over overlay 'display

From: Lennart Borgman <[email-masked]>
Date: Mon, 10 Aug 2009 06:34:42 +0200

On Mon, Aug 10, 2009 at 6:13 AM, Stefan Monnier<[email-masked]> wrote:
>> I think the problem might be in
>
>>     adjust_for_invis_intang
>
>> or the use of it. This function checks for insertion type.
>
> This function should not do anything if you don't have `intangible'
> things around.  Do you?  If you do, I'm tempted to say "there's your
> problem".

Not that I know of. I looked for it but could not find it. (I have not
checked that adjust_for_invis_intang is actually called. I looked
around in the code searching for some reasonable explanation.)

The overlays are created by outline-minor-mode and hs-minor-mode +
'display property added by me.